﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Syncfusion.UI.Xaml.Grid.Helpers;

namespace ScrollingTwoGridAtSameTime
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.Datagrid1.Loaded += Datagrid1_Loaded;
            this.Datagrid2.Loaded += Datagrid2_Loaded;
        }

        void Datagrid1_Loaded(object sender, RoutedEventArgs e)
        {
            this.Datagrid1.GetVisualContainer().ScrollOwner.ScrollChanged += ScrollOwner1_ScrollChanged;
        }

        void Datagrid2_Loaded(object sender, RoutedEventArgs e)
        {
            this.Datagrid2.GetVisualContainer().ScrollOwner.ScrollChanged += ScrollOwner2_ScrollChanged;
        }

        //ScrollChanged event of ScrollViewer in Datagrid1
        void ScrollOwner1_ScrollChanged(object sender, ScrollChangedEventArgs e)
        {
            if (e.HorizontalChange > 0 || e.HorizontalChange < 0)
            {
                this.Datagrid1.GetVisualContainer().SetHorizontalOffset(e.HorizontalOffset);
                this.Datagrid2.GetVisualContainer().SetHorizontalOffset(e.HorizontalOffset);
            }

            if (e.VerticalChange > 0 || e.VerticalChange < 0)
            {
                this.Datagrid1.GetVisualContainer().SetVerticalOffset(e.VerticalOffset);
                this.Datagrid2.GetVisualContainer().SetVerticalOffset(e.VerticalOffset);
            }
        }

        //ScrollChanged event of ScrollViewer in Datagrid2
        void ScrollOwner2_ScrollChanged(object sender, ScrollChangedEventArgs e)
        {
            if (e.HorizontalChange > 0 || e.HorizontalChange < 0)
            {
                this.Datagrid1.GetVisualContainer().SetHorizontalOffset(e.HorizontalOffset);
                this.Datagrid2.GetVisualContainer().SetHorizontalOffset(e.HorizontalOffset);
            }

            if (e.VerticalChange > 0 || e.VerticalChange < 0)
            {
                this.Datagrid1.GetVisualContainer().SetVerticalOffset(e.VerticalOffset);
                this.Datagrid2.GetVisualContainer().SetVerticalOffset(e.VerticalOffset);
            }
        }    
    }
}
