﻿#region Copyright Syncfusion Inc. 2001 - 2013
// Copyright Syncfusion Inc. 2001 - 2013. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Data;
using System.Dynamic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;

namespace ScrollingTwoGridAtSameTime
{
    public class EmployeeInfoRespository : INotifyPropertyChanged
    {
        
        public EmployeeInfoRespository()
        {            
            _comboBoxItemsSource = new List<string>();
            _comboBoxItemsSource.Add("Chennai");
            _comboBoxItemsSource.Add("Mumbai");
            _comboBoxItemsSource.Add("Delhi");
            _comboBoxItemsSource.Add("Bangalore");
            _comboBoxItemsSource.Add("Hyderabad");
            _comboBoxItemsSource.Add("Goa");
            _comboBoxItemsSource.Add("Mysore");
            _comboBoxItemsSource.Add("Trichy");
            _comboBoxItemsSource.Add("Madurai");
            _comboBoxItemsSource.Add("Ahmedabad");
            _comboBoxItemsSource.Add("Mohali");
            _comboBoxItemsSource.Add("Nagpur");
            _comboBoxItemsSource.Add("Patna");            
        }
              
        int tem = 1;       
        int namenum = 5;              
        int comboitem = 0;                  
        string dateString = "5/1/1991 8:30:52 AM";

        public DataTable GetEmployeesDetails_DataTable(int count)
        {
            var employees = CreateEmployeeDataTable();
            for (var i = 0; i < count; i++)
            {
                var row = GetEmployeeForDT(i, employees);
                employees.Rows.Add(row);
            }
            return employees;
        }

        public DataTable CreateEmployeeDataTable()
        {
            var employees = new DataTable();
            employees.Columns.Add("OrderID",typeof(int));
            employees.Columns.Add("EmployeeID", typeof(int));            
            employees.Columns.Add("ContactID", typeof(int));
            employees.Columns.Add("BirthDate", typeof(DateTime));
            employees.Columns.Add("City", typeof(string));
            employees.Columns.Add("Salary", typeof(double));
            employees.Columns.Add("SickLeaveHours", typeof(int));
            employees.Columns.Add("Status", typeof(int));
            return employees;
        }

        public DataRow GetEmployeeForDT(int i, DataTable employees)
        {
            DateTime birthdate = Convert.ToDateTime(dateString);
            comboitem++;
            if (comboitem > 10)
                comboitem = 0;
            var row = employees.NewRow();
            if (namenum > 40)
                namenum = 0;            
            row[0] = 1000 + i;
            row[1] = 100 + i;            
            row[2] = ContactDetails();
            row[3] = birthdate.AddDays(3);
            row[4] = _comboBoxItemsSource[comboitem];
            row[5] = 10000 - (100 + i);
            row[6] = comboitem;
            int j=0;
            if (i>20 && i<40)
                j=1;
            else if (i > 50 && i < 70)
                j = 2;
            row[7] = j;
            return row;
        }       
        private int ContactDetails()
        {
            int number;
            if (tem % 3 == 0)            
                number = 7898789;            
            else if (tem % 2 == 0)            
                number = 9896781;             
            else            
                number = 838381;            
            return number;
        }
        
        private string[] countries = new string[]
        {
            "Brazil",
             "Germany",
             "France",
             "Japan",
             "China",
             "Ireland",
             "Argentina",
             "England",
             "Brazil",
             "Germany",
             "France",
             "Japan",
             "China",
             "Ireland",
             "Argentina",
             "England",
             "Brazil",
             "Germany",
             "France",
             "Japan",
             "China",
             "Ireland",
             "Argentina",
             "England"
        };

        private List<string> _comboBoxItemsSource;

        public List<string> ComboBoxItemsSource
        {
            get { return _comboBoxItemsSource; }
            set { _comboBoxItemsSource = value; RaisePropertyChanged("ComboBoxItemsSource"); }
        }

        public void RaisePropertyChanged(string propName)
        {
            if (this.PropertyChanged != null)
                this.PropertyChanged(this, new PropertyChangedEventArgs(propName));
        }
        public event PropertyChangedEventHandler PropertyChanged;
    }
}
